Package org.apache.sling.feature.extension.content

# Class ContentHandler

java.lang.Object
org.apache.sling.feature.extension.content.ContentHandler

All Implemented Interfaces:
  `org.apache.sling.feature.launcher.spi.extensions.ExtensionHandler`

public class ContentHandler extends Object implements org.apache.sling.feature.launcher.spi.extensions.ExtensionHandler

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`PACKAGEREGISTRY_HOME`

## Constructor Summary

Constructors
Constructor
Description
`ContentHandler()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`handle(org.apache.sling.feature.launcher.spi.extensions.ExtensionContext context, org.apache.sling.feature.Extension extension)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### PACKAGEREGISTRY_HOME

public static final String PACKAGEREGISTRY_HOME

See Also:
  - Constant Field Values

## Constructor Details

### ContentHandler

public ContentHandler()

## Method Details

### handle

public boolean handle(org.apache.sling.feature.launcher.spi.extensions.ExtensionContext context, org.apache.sling.feature.Extension extension) throws Exception

Specified by:
  `handle` in interface `org.apache.sling.feature.launcher.spi.extensions.ExtensionHandler`
Throws:
  `Exception`